package com.qmth.eds.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.entity.ExamScheduleTask;
import com.qmth.eds.entity.TBSyncTask;
import com.qmth.eds.enums.TaskResultEnum;
import com.qmth.eds.enums.TaskStatusEnum;

/**
 * <p>
 * 同步数据 服务类
 * </p>
 */
public interface TBSyncTaskService extends IService<TBSyncTask> {

    TBSyncTask saveTask(ExamScheduleTask examScheduleTask, boolean isAuto);

    void updateStatusAndResultById(Long id,TaskStatusEnum status, TaskResultEnum result, String errorMessage);
}
